2018-01-25  rocky <rocky@gnu.org>

	* .gitignore, README.txt, __pkginfo__.py,
	admin-tools/how-to-make-a-release.md, cdio.py, setup.py,
	swig/device.swg, swig/device_const.swg, swig/pyiso9660.i,
	test/test-cdio.py: Ready for Release 2.0.0 * Update API to 2.0.0. Assume version 2.0.0 or greater of libcdio.  * remove old compatibilty code.  * Update usual Python administrivia and package info.

2013-09-06  rocky <rocky@gnu.org>

	* : commit 6d8e002ca3c04f69fdbc5c9b5fb26b66ea327327 Author: rocky
	<rocky@gnu.org> Date:   Fri Sep 6 02:51:03 2013 -0400

2013-09-06  rocky <rocky@gnu.org>

	* ChangeLog, NEWS, README.txt, __pkginfo__.py, example/device.py,
	test/test-iso.py: Update README to put into proper ReStructuredText.
	Add an example. Get ready for release 0.20.

2013-03-06  rocky <rocky@gnu.org>

	* setup.py, swig/device.swg: Savannah bug #38477

2013-02-20  rocky <rocky@gnu.org>

	* MANIFEST.in: Add test/Makefile

2013-02-20  rocky <rocky@gnu.org>

	* setup.py: Reorder build commands in setup.py. Patch and thanks
	again to Benjamin Eitzner.

2013-02-16  rocky <rocky@gnu.org>

	* PKG-INFO, README.txt, __pkginfo__.py: README.txt is now in
	ReStructuredText for Pypi.  PKG-INFO is now autogenerated and lives
	in pycdio.egg-info __pkginfo__.py: bump version

2013-02-16  rocky <rocky@gnu.org>

	* : commit 1e1c7975c799e9daa595b99aa6ab989a9d4f0959 Author: rocky
	<rocky@gnu.org> Date:   Sat Feb 16 03:58:44 2013 -0500

2013-02-16  rocky <rocky@gnu.org>

	* .gitignore, Makefile, setup.py, swig/device.swg: Last of the
	changes to get this to work on Python3

2013-02-13  R. Bernstein <rocky@gnu.org>

	* __pkginfo__.py, cdio.py, iso9660.py, setup.py, test/test-iso.py: 
	Closer to having Python3 but not quite there yet.

2013-02-13  R. Bernstein <rocky@gnu.org>

	* example/cd-read.py, example/cdtext.py, example/device.py,
	example/drives.py, example/eject.py, example/iso1.py,
	example/iso2.py, example/iso3.py, example/tracks.py, setup.py: Start
	python3k compatibility

2013-02-13  R. Bernstein <rocky@gnu.org>

	* example/Makefile: Remove circular dependency

2013-02-13  R. Bernstein <rocky@gnu.org>

	* Makefile, example/Makefile, example/cdtext.py, example/iso2.py: 
	Fix up CD-Text example program

2013-02-13  R. Bernstein <rocky@gnu.org>

	* THANKS: Add Adrian

2013-02-13  R. Bernstein <rocky@gnu.org>

	* MANIFEST.in, Makefile, swig/Makefile: swig/Makefile: Put more code
	in swig/Makefile as a backup to setup.py MANIFEST.in: Add
	swig/makefile Makefile: correct a distclean filename

2013-02-12  R. Bernstein <rocky@gnu.org>

	* MANIFEST.in, Makefile, iso9660.py, setup.py, swig/device.swg: 
	MANIFEST.in: Add ChangeLog and Makefile Makefile: remove more
	derived files iso9660.py: add missing import pycdio - thanks to
	Benjamin Eitzner setup.py: remove more files is usin libcdio 0.83
	devices.swg: Think I got it this time.

2013-02-11  R. Bernstein <rocky@gnu.org>

	* MANIFEST.in, THANKS: Start a THANKS page

2013-02-11  R. Bernstein <rocky@gnu.org>

	* MANIFEST.in, __pkginfo__.py: Add COPYING

2013-02-11  R. Bernstein <rocky@gnu.org>

	* cdio.py, iso9660.py, setup.py, swig/device.swg: cdio.py Python
	indentation. Typo in return variable. iso9660.py: more typos.
	setup.py allegedly helps to use abspath.  Patches from Benjamin
	Eitzner. swig/devicd.swg: fix bug in returning lists of strings.

2013-01-30  R. Bernstein <rocky@gnu.org>

	* Makefile, __pkginfo__.py, cdio.py, swig/cdtext_new.swg: Deal with
	compatibilty of CD-Text field name pre 0.90. Savannah #38185.

2013-01-07  R. Bernstein <rocky@gnu.org>

	* ChangeLog, Makefile, NEWS, setup.cfg, swig/device.swg,
	swig/device_const.swg, swig/pyiso9660.i: Get ready for release 0.18

2012-04-16  r <rocky@gnu.org>

	* swig/.gitignore, swig/cdtext_new.swg: use MIN_CDTEXT_FIELD from
	libcdio. Add another ignored file.

2012-04-15  R. Bernstein <rocky@gnu.org>

	* example/cdtext.py, swig/cdtext_new.swg: Add
	pycdio.MIN_CDTEXT_FIELDS and remove CVS $Id line.

2012-03-27  Leon Merten Lohse <leon@green-side.de>

	* Makefile, cdio.py, setup.py, swig/cdtext_new.swg,
	swig/{cdtext.swg => cdtext_old.swg}, swig/compat.swg,
	swig/pycdio.i, swig/pyiso9660.i, swig/track.swg, swig/types.swg,
	test/test-cdtext.py: removed compatibility with pre 0.80 libcdio.
	made compatible with recent CD-Text api changes.

2012-03-13  r <rocky@gnu.org>

	* Makefile: Add "build" target and remake-style comments

2011-09-25  R. Bernstein <rocky@gnu.org>

	* example/tracks.py: From chris clark: patch to use one of the
	heuristics in showing a hidden track.

2011-07-30  R. Bernstein <rocky@gnu.org>

	* : commit faaff5c28865e0995c0e1ca6df4aeecb90fa0928 Author: r
	<rocky@gnu.org> Date:   Sat Jul 30 11:48:21 2011 -0400

2011-07-30  r <rocky@gnu.org>

	* NEWS, example/Makefile, example/drives.py, swig/Makefile,
	swig/audio.swg, swig/cdtext.swg, swig/compat.swg, swig/device.swg,
	swig/device_const.swg, swig/disc.swg, swig/pycdio.i,
	swig/types.swg, test/Makefile, test/cdda.toc: Add
	audio_set_volume_levels from Jerry G Geiger's patch for Perl
	Device::Cdio.  Remove CVS $Id lines. Update copyright.

2011-07-30  r <rocky@gnu.org>

	* Makefile: Looks like nosetests is now a standalone command

2011-07-30  r <rocky@gnu.org>

	* : libcdio results may have changed

2010-10-27  R. Bernstein <rocky@gnu.org>

	* ChangeLog, NEWS, __pkginfo__.py: Update for release.

2010-10-27  R. Bernstein <rocky@gnu.org>

	* test/test-isocopy.py: Make it work on both new and old libcdio.

2010-10-26  r <rocky@gnu.org>

	* test/test-isocopy.py: Add test when file is not found

2010-10-26  r <rocky@gnu.org>

	* example/.gitignore, iso9660.py, swig/pyiso9660.i, swig/read.swg,
	test/test-isocopy.py: Make sure we return None on error as we say we
	do. COPYING->copying because we translate filenames. May need
	further investigation.

2010-10-11  r <rocky@gnu.org>

	* example/cd-read.py: example/cd-read.py: Better --mode error
	message

2010-09-30  R. Bernstein <rocky@gnu.org>

	* PKG-INFO, README.txt: Revise dependencies - don't put in dependent
	library numbers; they are likely to be wrong.

2010-09-30  R. Bernstein <rocky@gnu.org>

	* setup.py: Give a better error message if pkg-config is not
	available.

2010-09-29  R. Bernstein <rocky@gnu.org>

	* PKG-INFO, README.txt: Need to have "apt-get install python-dev" as
	well. Thanks to Peter Carlsson.

2010-09-29  R. Bernstein <rocky@gnu.org>

	* PKG-INFO, README.txt: Add requirements.

2009-10-27  R. Bernstein <rocky@gnu.org>

	* __pkginfo__.py: version update -- this time, for sure!

2009-10-27  R. Bernstein <rocky@gnu.org>

	* NEWS: Last before rlease.

2009-10-21  R. Bernstein <rocky@gnu.org>

	* ChangeLog, NEWS: Update before 0.16 release.

2009-09-27  R. Bernstein <rocky@gnu.org>

	* ChangeLog, __pkginfo__.py, cdio.py: Off-by-one compensation in
	get_devices_* not needed anymore. Reported by Alex Butcher for
	Fedora. Correct setup information.

2009-07-28  R. Bernstein <rocky@gnu.org>

	* cdio.py, iso9660.py: Remove shbang from cdio.py and ios9660.py.
	Bug report/fix from Jay Greguske of Redhat who relates that this
	helps Fedora packaging.

2009-05-18  R. Bernstein <rocky@gnu.org>

	* ChangeLog, ChangeLog.1: Update ChangeLog before release

2009-05-17  R. Bernstein <rocky@gnu.org>

	* NEWS, __pkginfo__.py: What's up

2009-05-17  R. Bernstein <rocky@gnu.org>

	* README.txt, example/README, example/cdtext.py: Doc update

2009-05-14  R. Bernstein <rocky@gnu.org>

	* swig/track.swg: Small cosmetic change

2009-05-13  R. Bernstein <rocky@gnu.org>

	* AUTHORS: Add Thomas

2009-05-13  R. Bernstein <rocky@gnu.org>

	* : commit f77b2a764a69fb68725aea3776aeb84e03484009 Author: Thomas
	Vander Stichele <thomas@level.fluendo.lan> Date:   Tue May 12
	11:30:29 2009 +0200

2009-05-12  Thomas Vander Stichele <thomas (at) apestaart (dot) org>

	* swig/cdtext.swg: add cdtext.swg

2009-05-12  Thomas Vander Stichele <thomas (at) apestaart (dot) org>

	* cdio.py, example/cdtext.py, swig/pycdio.i, swig/track.swg,
	test/cdtext.toc, test/test-cdtext.py: add CDText support, an
	example, and unittests

2009-05-11  rocky <rocky@sanchez.(none)>

	* ChangeLog: Administrivia

2008-12-10  R. Bernstein <rocky@gnu.org>

	* MANIFEST.in: Forgot to add __pkginfo__

2008-12-07  R. Bernstein <rocky@sanchez.(none)>

	* __pkginfo__.py, setup.py: Lint things

2008-12-07  R. Bernstein <rocky@sanchez.(none)>

	* setup.py: Python 2.6 complains about duplicate modname. It's
	right.

2008-12-07  R. Bernstein <rocky@sanchez.(none)>

	* example/device.py: Small output formatting change

2008-12-07  R. Bernstein <rocky@sanchez.(none)>

	* example/device.py: List drivers only once.

2008-12-07  Windows XP <rocky@cse275.(none)>

	* Makefile, cdio.py, swig/device_const.swg: Address DRIVER_NETBSD
	not defined problem. distclean removes DLLs for cygwin.

2008-12-06  R. Bernstein <rocky@sanchez.(none)>

	* Makefile, cdio.py, example/device.py, example/drives.py,
	swig/device.swg, swig/device_const.swg, test/test-isocopy.py: 
	device.swg: Remove bug in returning null device list.
	device_const.swg, cdio.py: Add NetBSD driver id.
	test/test-isocopyFix.py:  bug in test path.  cdio.py: DRY code a
	little.  Makefile: add install target.  example/drives.py: Reinstate
	code removed because of device.swg bug Makefeli: Add install

2008-12-06  R. Bernstein <rocky@gnu.org>

	* .cvsignore, .gitignore, COPYING, INSTALL, MANIFEST.in, Makefile,
	Makefile.am, README => README.txt, __init__.py, __pkginfo__.py,
	autogen.sh, configure.ac, cvs2cl_header, cvs2cl_usermap,
	example/.cvsignore, example/.gitignore, get-cygwin-python-libs,
	git2authors.txt, include-path.py, pycdio.m4, setup.cfg, setup.py,
	site-packages-path.py, swig/.gitignore, swig/{pycdio.swg =>
	pycdio.i}, swig/{pyiso9660.swg => pyiso9660.i}, test/.gitignore,
	test/cdda.toc, test/test-cdio.py: Rework to use setuptools.

2008-11-24  rocky <rocky>

	* test/isocopy.py: Administrivia

2008-11-24  rocky <rocky>

	* Makefile.am, test/{cdiotest.py => test-cdio.py}, test/{isotest.py
	=> test-iso.py}, test/test-isocopy.py: Make more setuptools and
	distutils friendly. Rename test programs to start with test- (in the
	test directory).

2008-11-24  rocky <rocky>

	* example/.cvsignore: Administrivia.

2008-11-24  rocky <rocky>

	* example/cd-read.py, example/iso1.py, example/iso2.py,
	test/isocopy.py: Remove some bugs caught by pyflakes, and fix remove
	unused imports, etc.

2008-11-24  rocky <rocky>

	* example/device.py, example/drives.py, example/eject.py,
	example/tracks.py: Add missing "import os".

2008-11-24  rocky <rocky>

	* Makefile.am, configure.ac, example/audio.py.in,
	example/{cd-read.py.in => cd-read.py}, example/cdchange.py.in,
	example/{device.py.in => device.py}, example/drives.py,
	example/drives.py.in, example/{eject.py.in => eject.py},
	example/{iso1.py.in => iso1.py}, example/{iso2.py.in => iso2.py},
	example/{iso3.py.in => iso3.py}, example/{tracks.py.in =>
	tracks.py}, test/{cdiotest.py.in => cdiotest.py},
	test/{isocopy.py.in => isocopy.py}, test/{isotest.py.in =>
	isotest.py}: More Pythonic less autoconf-ish and closer to being
	able to use distutils.

2008-05-01  karl <karl>

	* Makefile.am, cdio.py, configure.ac, example/audio.py.in,
	example/cd-read.py.in, example/cdchange.py.in,
	example/device.py.in, example/drives.py.in, example/eject.py.in,
	example/iso1.py.in, example/iso2.py.in, example/iso3.py.in,
	example/tracks.py.in, iso9660.py, swig/audio.swg, swig/compat.swg,
	swig/device.swg, swig/device_const.swg, swig/disc.swg,
	swig/pycdio.swg, swig/pyiso9660.swg, swig/read.swg, swig/track.swg,
	swig/types.swg: gplv3+

2007-10-27  rocky <rocky>

	* .cvsignore, ChangeLog: Release 0.13 done.

2007-10-27  rocky <rocky>

	* ChangeLog, INSTALL: INSTALL: customize instructions a little.

2007-10-21  rocky <rocky>

	* Makefile.am, NEWS, configure.ac: NetBSD seems to work like
	GNU/linux for shared libraries.

2007-10-14  rocky <rocky>

	* swig/device.swg: Swig depricates adding python. Remove it.

2007-10-14  rocky <rocky>

	* Makefile.am, swig/device.swg: device.swg: typemap and
	t_output_helper usage seems to have changed in SWIG.  Makefile.am:
	replace := with = since the latter is more portable.

2007-10-14  rocky <rocky>

	* ChangeLog, README: .

2007-08-01  rocky <rocky>

	* swig/pyiso9660.swg: Remove python from typemap as suggested by
	deprication warning.

2007-08-01  rocky <rocky>

	* ChangeLog, swig/pyiso9660.swg: Memory allocation was off by one in
	the name_translate function. This could lead to a buffer overflow
	when the translated name is as long as the original.  Patch by Martin Ferrari on the Perl code.

2006-12-16  rocky <rocky>

	* example/cd-read.py.in: Add hexdump of data.

2006-12-10  rocky <rocky>

	* ChangeLog: [no log message]

2006-12-10  rocky <rocky>

	* NEWS: Note recent bug.

2006-12-10  rocky <rocky>

	* ChangeLog, cdio.py, configure.ac: configure.ac: get ready for 0.12
	release cdio.py: A couple of bug fixes: - if we get a string back from get_device turn it into a list - set default values on input parameters correctly.

2006-12-10  rocky <rocky>

	* example/drives.py.in: Address change.

2006-12-07  rocky <rocky>

	* NEWS: [no log message]

2006-12-04  rocky <rocky>

	* iso9660.py, swig/device.swg, swig/read.swg: iosy9660.py: correct
	bugs in pathname_isofy devices.swg: correct bug close_tray

2006-12-03  rocky <rocky>

	* .cvsignore: [no log message]

2006-12-03  rocky <rocky>

	* Makefile.am, swig/disc.swg, swig/pyiso9660.swg: Miscellaneous
	small improvements.

2006-12-03  rocky <rocky>

	* iso9660.py: Add pathname_isofy and remove refereneces to psz.

2006-11-28  rocky <rocky>

	* AUTHORS, example/iso1.py.in, example/iso2.py.in,
	example/iso3.py.in: Correct email address.

2006-11-28  rocky <rocky>

	* example/README: Replace Perl module names with Python equivalents

2006-11-27  rocky <rocky>

	* example/README, example/audio.py.in, example/cdchange.py.in,
	iso9660.py, swig/pyiso9660.swg, test/cdiotest.py.in,
	test/isofs-m1.cue: Mostly email address changes. Some typos. Use
	data from data directory.

2006-11-13  rocky <rocky>

	* AUTHORS, cdio.py, example/audio.py.in, example/device.py.in,
	example/tracks.py.in: Address change.

2006-11-12  rocky <rocky>

	* swig/audio.swg, swig/compat.swg, swig/device.swg,
	swig/device_const.swg, swig/disc.swg, swig/pycdio.swg,
	swig/pyiso9660.swg, swig/read.swg, swig/track.swg, swig/types.swg: 
	email address change.

2006-11-12  rocky <rocky>

	* cdio.py, example/tracks.py.in, swig/track.swg: Add get_msf().
	Basically paralleling code from Perl's Device::Cdio.

2006-06-19  rocky <rocky>

	* configure.ac: Error message makes it clear that it might be an old
	version of libcdio that's at fault.

2006-03-31  rocky <rocky>

	* README: Note ISO 9660 library.

2006-03-31  rocky <rocky>

	* test/cdiotest.py.in, test/isotest.py.in: Untabify.

2006-03-31  rocky <rocky>

	* test/cdiotest.py.in, test/isocopy.py.in, test/isotest.py.in: 
	Darwin and old Python fixes

2006-03-31  rocky <rocky>

	* ChangeLog, Makefile.am, NEWS: Makefile.am: Add SWIG-derived C file
	to distribution so folks don't need SWIG to create this.  *: last
	change before release 0.11. Really!

2006-03-31  rocky <rocky>

	* ChangeLog, NEWS, test/isocopy.py.in: isocopy.py.in: things needed
	for "make distcheck" NEWS: note cygwin and Solaris fixes

2006-03-31  rocky <rocky>

	* .cvsignore, Makefile.am, configure.ac, get-cygwin-python-libs,
	test/.cvsignore, test/cdiotest.py.in, test/isoread.py.in: Changes to
	get cygwin working.  isoread.py.in -> isocopy.py.in

2006-03-30  rocky <rocky>

	* .cvsignore: .cvsignore

2006-03-30  rocky <rocky>

	* cdio.py, swig/pyiso9660.swg, test/cdiotest.py.in: pyiso9660.swg:
	wasn't allocating enough for strnpad_cpy.  cdio.py: Note IOError can
	be returned sometimes cdiotest.py.in: Allow for IOError exceptions.

2006-03-30  rocky <rocky>

	* configure.ac: Solaris needs -fPIC

2006-03-28  rocky <rocky>

	* test/isoread.py.in: Regression test for ISO 9660 CD and ISO image
	reading.

2006-03-28  rocky <rocky>

	* ChangeLog, Makefile.am, NEWS, configure.ac: Forgot to add iso9660
	swig file to distribution.

2006-03-28  rocky <rocky>

	* ChangeLog, test/cdiotest.py.in, test/isotest.py.in: Changes to
	make build outside of source tree (or "make distcheck") work.

2006-03-27  rocky <rocky>

	* ChangeLog, Makefile.am, configure.ac, test/isotest.py.in: Add iso
	image reading regression test.

2006-03-27  rocky <rocky>

	* Makefile.am: Closer to getting "make distcheck" work.

2006-03-27  rocky <rocky>

	* .cvsignore: .

2006-03-27  rocky <rocky>

	* Makefile.am, configure.ac: Get isocopy.py run in regression tests.

2006-03-27  rocky <rocky>

	* example/.cvsignore, test/.cvsignore: [no log message]

2006-03-27  rocky <rocky>

	* test/isocopy.py.in, test/isotest.py.in: Add file extraction test.

2006-03-24  rocky <rocky>

	* Makefile.am, configure.ac, data/isofs-m1.cue, example/iso2.py.in,
	example/iso3.py.in, iso9660.py, test/isotest.py.in: iso9660.py: Add
	CD Image fileystems routines example/iso2.py.in: Example ISO 9660
	file extraction from CD image data/*: Sample CD image for ISO 9660
	Makefile.am, configure.ac: boilerplate configuration to make above
	work.  test/isotest.py.in: test of ISO 9660 image info (I'm a little
	behind in regression testing)

2006-03-24  rocky <rocky>

	* Makefile.am, configure.ac, iso9660.py, swig/pyiso9660.swg: Get ISO
	9660 extraction program working which meant fixing the bugs in
	seek_read.

2006-03-24  rocky <rocky>

	* example/.cvsignore, example/iso1.py.in: iso1.py.in: didn't get the
	latest set of necessary changes in. This time, for sure!

2006-03-24  rocky <rocky>

	* Makefile.am: Add data files to distribution

2006-03-24  rocky <rocky>

	* Makefile.am, configure.ac, example/iso1.py.in, iso9660.py,
	swig/pyiso9660.swg: Fixed up iso9660.py enough to get the first
	example ISO9660 program working (albeit in a little bit of a hacky
	way.)

2006-03-23  rocky <rocky>

	* iso9660.py, test/isotest.py.in: isotest.py.in: reinstate test_
	prefix had messed up test names iso9660.py: start ISO9660.IFS class.

2006-03-23  rocky <rocky>

	* iso9660.py, swig/pyiso9660.swg, test/isotest.py.in: iso9660.swg:
	add iso9660 stat list routines isotest.py.in: break out tests into
	smaller pieces.

2006-03-17  rocky <rocky>

	* swig/pyiso9660.swg, test/isotest.py.in: Address bugs in ltime
	getting.

2006-03-16  rocky <rocky>

	* swig/pyiso9660.swg, test/isotest.py.in: A couple more ISO966O
	routines added (dtime).

2006-03-16  rocky <rocky>

	* swig/pyiso9660.swg, test/isotest.py.in: Chip away more at getting
	ISO 9660 support more comlete, more tested.

2006-03-15  rocky <rocky>

	* Makefile.am: Changes because we removed cdio.py.in (and use
	cdio.py)

2006-03-15  rocky <rocky>

	* .cvsignore, Makefile.am, cdio.py.in => cdio.py,
	example/.cvsignore, iso9660.py, test/.cvsignore, test/isotest.py.in: 
	Misc autobuild lint.

2006-03-15  rocky <rocky>

	* Makefile.am, configure.ac, test/cdiotest.py.in: Add first ISO9660
	unit test.

2006-03-15  rocky <rocky>

	* configure.ac: Check for ISO9660 library.

2006-03-14  rocky <rocky>

	* Makefile.am, cdio.py.in, iso9660.py, swig/device.swg,
	swig/device_const.swg, swig/pycdio.swg, swig/read.swg: FSF address
	change.

2006-03-14  rocky <rocky>

	* Makefile.am, cdio.py.in, configure.ac, example/drives.py.in,
	iso9660.py, swig/pycdio.swg, swig/pyiso9660.swg, swig/read.swg: 
	First attempt at adding ISO9660 library.

2006-02-14  rocky <rocky>

	* cdio.py.in, swig/device.swg, test/cdiotest.py.in: device.swg:
	documenation changes cdio.py.in: test for some error conditions
	cdiotest.py.in: disable some ops pending understanding why it's
	failing on Darwin.

2006-02-13  rocky <rocky>

	* configure.ac: Note Solaris load command and flags.

2006-02-13  rocky <rocky>

	* Makefile.am, configure.ac, swig/device.swg, swig/types.swg: Add
	NEED_LONG needed for cygwin.

2006-02-13  rocky <rocky>

	* ChangeLog, Makefile.am, configure.ac: Get ready for another
	release.

2006-02-13  rocky <rocky>

	* example/.cvsignore, example/drives.py.in: Add drive example from
	libcdio and Perl

2006-02-13  rocky <rocky>

	* cdio.py.in, configure.ac, example/device.py.in, swig/device.swg,
	swig/device_const.swg, swig/pycdio.swg: Include routines which give
	a list of devices back.

2006-02-13  rocky <rocky>

	* example/tracks.py.in: tracks.py.in: guard against no track
	retrieved. Print MCN.

2006-02-13  rocky <rocky>

	* Makefile.am, cdio.py.in, configure.ac, example/device.py.in,
	swig/device.swg, swig/disc.swg, swig/read.swg, swig/types.swg,
	test/cdiotest.py.in: Makefile.am, configure.ac: include
	pycdio_wrap.c in distribution. So we merely warn about missing swig.  device.swg, device.py.in: start routines which return char **
	(deviceLIst_t) add get_mcn.  cdio.py.in: Add get_mcn, get_devices. Alphabetize routine names.
	Move some non-device routines out of the device class and into
	package cdio.  cdiotest.py.in: add test of get_mcn example/device.py.in: show
	hw_info. More like Perl.

2006-02-05  rocky <rocky>

	* swig/device.swg, test/cdiotest.py.in: get_default_device now
	returns two parameters as it does in libcdio.  Add test for that
	too.

2006-02-03  rocky <rocky>

	* NEWS, example/audio.py.in, swig/device.swg, test/cdiotest.py.in: 
	device.swg:  Add get_hwinfo (tentatively) audio.py.in doc fix.

2006-02-01  rocky <rocky>

	* swig/device.swg, test/cdiotest.py.in: Remove bug in is_device for
	DRIVER_UNKNOWN and DRIVER_DEVICE cdiotest.py.in: allow 0.77 to do
	more tests.

2006-01-31  rocky <rocky>

	* swig/device.swg: cdio_is_nrg does not allocate an object

2006-01-30  rocky <rocky>

	* swig/device.swg: Output return type should probably match
	reference input parameter

2006-01-26  rocky <rocky>

	* cdio.py.in: No functional change (I hope). Just more idiomatic
	Python.

2006-01-26  rocky <rocky>

	* test/cdiotest.py.in: Tolerance for libcdio as far back as 0.74

2006-01-26  rocky <rocky>

	* swig/types.swg: Set libcdio version number as a constant

2006-01-26  rocky <rocky>

	* Makefile.am, configure.ac: Fixes for darwin linking; Allow libcdio
	0.74

2006-01-26  rocky <rocky>

	* test/cdiotest.py.in: Keep compatibility with unittest 1.46

2006-01-25  rocky <rocky>

	* .cvsignore: .cvsignore

2006-01-25  rocky <rocky>

	* ChangeLog, Makefile.am: Wasn't installing shared object.

2006-01-25  rocky <rocky>

	* README: Revise a little.

2006-01-25  rocky <rocky>

	* ChangeLog: [no log message]

2006-01-25  rocky <rocky>

	* Makefile.am: Add old ChangeLog.

2006-01-25  rocky <rocky>

	* Makefile.am: Forgot to add cd-read to distribution.

2006-01-25  rocky <rocky>

	* configure.ac: Changes for older shells

2006-01-25  rocky <rocky>

	* configure.ac: Get ready for release. cd-read.py now created too.

2006-01-25  rocky <rocky>

	* configure.ac: -fPIC option not added correctly.

2006-01-25  rocky <rocky>

	* Makefile.am, configure.ac: Changes to make work better on cygwin

2006-01-25  rocky <rocky>

	* Initial revision

